Qt 5.6 | Qt 3D | C++ Classes | QPointLight

Qt 5.6.3 Reference Documentation

# QPointLight Class

(Qt3DRender::QPointLight)

Header: | #include <QPointLight>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | PointLight
Inherits: | QLight
Inherited By: | Qt3DRender::QSpotLight

- List of all members, including inherited members

## Properties

- attenuation : QVector3D

- 3 properties inherited from Qt3DRender::QLight
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QPointLight(Qt3DCore::QNode *parent = Q_NULLPTR)
QVector3D | attenuation() const
float | constantAttenuation() const
float | linearAttenuation() const
float | quadraticAttenuation() const
void | setConstantAttenuation(float value)
void | setLinearAttenuation(float value)
void | setQuadraticAttenuation(float value)

- 3 public functions inherited from Qt3DRender::QLight
- 1 public function inherited from Qt3DRender::QShaderData
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAttenuation(const QVector3D &value)

- 3 public slots inherited from Qt3DRender::QLight
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | attenuationChanged(const QVector3D &attenuation)

- 3 signals inherited from Qt3DRender::QLight
- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QPointLight(QPointLightPrivate &dd, Qt3DCore::QNode *parent)

- 1 protected function inherited from Qt3DRender::QLight
- 1 protected function inherited from Qt3DRender::QShaderData
- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### attenuation : QVector3D

Access functions:

QVector3D | attenuation() const
void | setAttenuation(const QVector3D &value)

Notifier signal:

void | attenuationChanged(const QVector3D &attenuation)

## Member Function Documentation

### QPointLight::QPointLight(Qt3DCore::QNode *parent = Q_NULLPTR)

Constructs a new QPointLight with the specified parent.

### `[protected]` QPointLight::QPointLight(QPointLightPrivate &dd, Qt3DCore::QNode *parent)

Copy constructor.

### float QPointLight::constantAttenuation() const

See also setConstantAttenuation().

### float QPointLight::linearAttenuation() const

See also setLinearAttenuation().

### float QPointLight::quadraticAttenuation() const

See also setQuadraticAttenuation().

### void QPointLight::setConstantAttenuation(float value)

See also constantAttenuation().

### void QPointLight::setLinearAttenuation(float value)

See also linearAttenuation().

### void QPointLight::setQuadraticAttenuation(float value)

See also quadraticAttenuation().